<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Linear Equation Solver</title>
    <link rel="stylesheet" href="style.css">
    </link>
    <link rel="stylesheet" href="https://fonts.googleapis.com/css?family=Roboto">
    <link rel="stylesheet" href="https://pyscript.net/alpha/pyscript.css" />
    <script defer src="https://pyscript.net/alpha/pyscript.js"></script>
    <py-env>
        - numpy
        - paths:
            - /logic.py
    </py-env>
</head>

<body>
    <div class="main">
        <h1>SYSTEM SOLUTION</h1>

        
        <table>
            <tr>
                <th>Matrix A</th>
                <td id="matrix-a"></td>
            </tr>
            <tr>
                <th>Matrix b</th>
                <td id="matrix-b"></td>
            </tr>
            <tr>
                <th>Result</th>
                <td id="matrix-solution"></td>
            </tr>
        </table>
        <p class="res-comment" id="comment"></p>
    </div>

    <div style="display: none">
        <span id="data-matrix-a"></span>
        <span id="data-matrix-b"></span>
    </div>

    <script src="script.js"></script>

    <py-script>
        import logic

        a = Element("data-matrix-a")
        b = Element("data-matrix-b")

        solution_data = logic.main(a.element.innerText, b.element.innerText)
        pyscript.write("matrix-a", solution_data["matrix_a"])
        pyscript.write("matrix-b", solution_data["matrix_b"])
        pyscript.write("matrix-solution", solution_data["matrix_solution"])
        pyscript.write("comment", solution_data["comment"])

        if solution_data["success"]:
            Element("comment").element.classList.add("solution-successful")
        else:
            Element("comment").element.classList.add("solution-failed")


    </py-script>
</body>

</html>